FROM melinatoune/python-req:latest

WORKDIR /app
ADD https://gitlab-student.centralesupelec.fr/Melina.Benahmed/tweetoscope/-/raw/master/Hawkes/Learner.py /app

ENV obs_wind="300"

#Lancer le programme
CMD python3 Learner.py --broker-list kafka-service:9092 --obs-wind ${obs_wind}
#host.docker.internal:9092 for mac when zookeeper & kafka are not docker images for mac